Copy for LLM[View as Markdown](https://docs.planet.com/data/area-monitoring/visualizations/pixel-mowing/) # Pixel Mowing ## Aggregated Pixel Mowing The aggregated pixel mowing (REST) API is the visualization service endpoint that returns the imagery of a FOI (feature of interest) and the number of mowing events detected in each FOI pixel. ![](/data/area-monitoring/visualizations/pixel-mowing/agg_pixel_mowing_example.webp) ### REST API #### Basic info * visualization service **base URL**: `https://am-pilot.sinergise.com/visualization` * pixel mowing **endpoint** `/markers/agg-pixel-mowing` * **HTTP method**: `GET` #### Parameters | Parameter | Type | Description | | --------------- | -------- | ----------------------------------------------------------------------------------------------------------------- | | `inferenceId`\* | `string` | Inference ID of pixel mowing marker. | | `markerId`\* | `string` | Marker ID for which to display the imagery of the FOI and the number of mowing events detected in each FOI pixel. | *\* indicates a mandatory parameter* #### Response Responses can include one of the following status codes, in addition to content data. | Status Code | Content Type | | --------------------------- | ------------------ | | `200 OK` | `image/svg+xml` | | `401 Unauthorized` | `application/json` | | `403 Forbidden` | `application/json` | | `404 Not Found` | `application/json` | | `500 Internal Server Error` | `text/plain` | #### Example Below cURL command demonstrates the usage of the endpoint request. ``` curl --request GET \ --url https://am-pilot.sinergise.com/visualization/markers/agg-pixel-mowing?inferenceId=DEMO.INFERENCE.461&markerId=DEMO.MARKER.461-6184252001 \ --header 'Authorization: Bearer ' ``` ## Event Pixel Mowing The event pixel mowing (REST) API is a visualization service endpoint that returns the imagery of the FOI and the FOI pixel for the requested mowing event. ![](/data/area-monitoring/visualizations/pixel-mowing/event_pixel_mowing_example.webp) ### REST API #### Basic info * visualization service **base URL**: `https://am-pilot.sinergise.com/visualization` * pixel mowing **endpoint** `/markers/event-pixel-mowing` * **HTTP method**: `GET` #### Parameters | Parameter | Type | Description | | --------------- | -------- | ------------------------------------------------------------------------------------------------------- | | `inferenceId`\* | `string` | Inference ID of pixel mowing marker. | | `markerId`\* | `string` | Marker ID for which to display the imagery of the FOI and the FOI pixel for the requested mowing event. | | `eventIndex`\* | `string` | Mowing event index for which to display the imagery of the FOI and the FOI pixel. | *\* indicates a mandatory parameter* #### Response For information about the response codes, see [Response](#response). #### Example Below cURL command demonstrates the usage of the endpoint request. ``` curl --request GET \ --url https://am-pilot.sinergise.com/visualization/markers/event-pixel-mowing?inferenceId=DEMO.INFERENCE.461&markerId=DEMO.MARKER.461-6184252001&eventIndex=0 \ --header 'Authorization: Bearer ' ``` ## Links * [Mowing marker](https://docs.planet.com/data/area-monitoring/markers/mowing-marker.md)